Redmine - Patch #23888

Show an error message when changing an issue's project fails due to errors in child issues
2016-09-22 08:18 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.4.0

Description

The problem occurs for example when child issues have trackers that aren't present in the destination project. This very simple
solution just displays a generic error message if the save is aborted due to a failing child save.

Related issues:
Related to Redmine - Defect #15319: Can't Move Parent Ticket Between Projects Closed

Related to Redmine - Defect #11148: Moving issues with sub issues between pro... Closed

Associated revisions

Revision 16089 - 2016-12-18 09:54 - Jean-Philippe Lang

Show an error message when changing an issue's project fails due to errors in child issues (#23888).

Revision 16090 - 2016-12-18 09:55 - Jean-Philippe Lang
Add :error_move_of_child_not_possible i18n string (#23888).

Revision 16102 - 2016-12-20 10:09 - Jean-Philippe Lang
Fix german locale string #23888.

Patch by Jens Kraemer.

History

#1 - 2016-09-22 08:21 - Jens Kramer
possibly related to #15319

#2 - 2016-10-21 15:35 - Toshi MARUYAMA
- Related to Defect #15319: Can't Move Parent Ticket Between Projects added

#3 - 2016-10-21 15:35 - Toshi MARUYAMA

- Target version set to 3.4.0

#4 - 2016-12-18 09:59 - Jean-Philippe Lang

- Subject changed from show an error message when changing an issue's project fails due to errors in child issues to Show an error message when
changing an issue's project fails due to errors in child issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Message changed to a bit more specific one that includes the ID and the cause of the failure, eg: "Subtask #NNN could not be moved to the new
project: Tracker is not included in the list".

It includes details about the first child that fails but | think it's more usefull to know what to look for exactly.

Please check that the german message is OK.

#5 - 2016-12-19 06:33 - Jens Kramer

- File 0001-fix-german-locale-string-23888.patch added

- Status changed from Closed to Reopened

small fix for the german wording
https://www.redmine.org/issues/15319

#6 - 2016-12-20 10:09 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Thanks.

#7 - 2017-01-14 02:00 - Go MAEDA

- Related to Defect #11148: Moving issues with sub issues between projects fails added

Files
0001-adds-an-error-message-to-be-displayed-when-issue-sav.patch 2.2 KB 2016-09-22 Jens Kramer
0001-fix-german-locale-string-23888.patch 985 Bytes 2016-12-19 Jens Kramer
